/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef TRACING_INCLUDE_TRACING_CORE_DATA_SOURCE_CONFIG_H_
#define TRACING_INCLUDE_TRACING_CORE_DATA_SOURCE_CONFIG_H_

#include <string>

namespace perfetto {

// This class contains the configuration that the Service sends back to the
// Producer when it tells it to enable a given data source. This is the way
// that, for instance, the Service will tell the producer "turn tracing on,
// enable categories 'foo' and 'bar' and emit only the fields X and Y".
// TODO(primiano) This should be autogenerated from some .proto file.
class DataSourceConfig {
 public:
  std::string data_source_name;  // e.g., "org.chromium.trace_events"

  // TODO(primiano): temporary, for testing only.
  std::string trace_category_filters;  // e.g., "ipc,media,toplvel"
};

}  // namespace perfetto

#endif  // TRACING_INCLUDE_TRACING_CORE_DATA_SOURCE_CONFIG_H_
